Bug 976730 - Unable to change boolean properties in Chrome
Unable to change boolean properties in Chrome
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high
: ER5
: 6.0.0
Assigned To: Tihomir Surdilovic
Sona Mala
: TestBlocker
Depends On: 1003895 1003889
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-21 06:17 EDT by Sona Mala
Modified: 2014-08-06 16:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:06:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sona Mala 2013-06-21 06:17:59 EDT
Version-Release number of selected component (if applicable):
6.0.0 DR5 (Beta3)

How reproducible:
In Chrome browser. Firefox is not affected by this bug.

Steps to Reproduce:
1. open any process
2. activate any task
3. activate property "Is for Compensation"
4. click on checkbox to change it's value

Actual results:
The focus disappears and the property has still same value.

Expected results:
Same behaviour as in FireFox. The property is still focused and the value of checkbox is changed.

Additional info:
Comment 1 Rajesh Rajasekaran 2013-07-17 12:25:33 EDT
Setting target milestone to ER2. We can defer chrome support for the Beta release.
Comment 2 Tihomir Surdilovic 2013-08-27 09:31:17 EDT
All boolean properties in Designer have been hidden or are dropdowns true/false now.
Comment 3 Sona Mala 2013-09-18 04:54:16 EDT
There are still some properties which are not converted to dropdown menu (in ER3):
  - Properties for:
      - Process - Executable
      - Compensation End Event - Wait for completion
These properties are not able to change in Chrome.


By the way, some boolean properties are missing:
  - 1003895 - Is for Compensation (this issue was reported for this property)
  - 1003889 - Is Interrupting
Comment 5 Tihomir Surdilovic 2013-10-07 13:01:34 EDT
Executable property made into drop-down selection. Wait for completion should not have been part of end events, so removed.
Comment 8 Marek Baluch 2013-11-27 16:27:36 EST
Verified on ER5.

Note You need to log in before you can comment on or make changes to this bug.